//---------- Variables ----------

$white: #ffffff;
$black: #010101;

$grey: #666666;
$grey2: #e8e8e8;
$grey3: #cccccc;
$grey4: #333333;

$orange: #F79521;
$brown: #AD0E16;
$bloodorange: #E63D3F;
$red: #B6255C;
$yellow: #F29525;

$pagewidth: 960px;


//---------- Mixins ----------

// Reset multiple
// Usage:
// @include reset;
// @include reset(clear);
// $switch values:
// mp           | margin, padding reset
// list         | List reset from parent (using for menus)
// list_light   | List reset from parent whitout float-block
// content_list | General list in the text content
// clear        | Separate main sections
// clear_light  | Separate minor sections

@mixin mp_reset {
	margin: 0;
	padding: 0;
}

@mixin clear {
	float: left;
	width: 100%;
}

@mixin reset($switch: mp) {
	@if $switch == mp {
		@include mp_reset;
	}
	
	@else if $switch == list {
		ul, ul li {
			@include mp_reset;
			list-style: none;
		}
		
		ul li {
			float: left;
			display: block;
		}
	}
	
	@else if $switch == list_light {
		ul, ul li {
			@include mp_reset;
			list-style: none;
		}
	}
	
	@else if $switch == content_list {
		ul, ul li {
			clear: both;
			@include clear;
		}
		
		ul {
			margin-bottom: 20px;
			margin-left: 0;
			padding-left: 1em;
			
			ul {
				margin-bottom: 10px;
			}
		}
	}
	
	@else if $switch == clear {
		clear: both;
		@include clear;
	}
	
	@else if $switch == clear_light {
		@include clear;
	}
}


// Cross Browser Opacity
// usage:
// @include opacity(.5); for 50% opacity

@mixin opacity($opacity: .9) {
	//-ms-filter: “progid:DXImageTransform.Microsoft.Alpha(Opacity=#{$opacity*100})”;
	filter: alpha(opacity=#{$opacity*100});
	opacity: $opacity; 
	zoom: 1;
}


// Text hide
// usage:
// @include text_hide;

@mixin text_hide {
	overflow: hidden;
	text-indent: -9000px;
	font-size: 0;
	
	a {
		display: block;
		width: 100%;
		height: 100%;
	}
}


// Add content
// Usage:
// @include add_content(test);
// @include add_content(~, block, before, #000000); @include add_content(~, block, after);

@mixin add_content($content_content, $content_display: inline, $content_where: after, $content_color: inherit) {
	&:#{$content_where} {
		content: '#{$content_content}';
		display: #{$content_display};
		color: #{$content_color};
	}
}


// Clearfix
// Usage:
// @include clearfix;

@mixin clearfix {
	zoom:1;
	
	&:before, &:after {
		content: "\0020";
		display: block;
		width: 100%;
		height: 0;
		overflow: hidden;
	}
	
	&:after {
		clear: both;
	}
}


// Rotate
// Usage:
// @include rotate(180);

@mixin rotate($deg: 15) {
	-webkit-transform: rotate(#{$deg}deg);
	-moz-transform: rotate(#{$deg}deg);
	-ms-transform: rotate(#{$deg}deg);
	-o-transform: rotate(#{$deg}deg);
	transform: rotate(#{$deg}deg);
}


// Disable, Enable select text content
// usage:
// @include unselectable;
// @include selectable;

@mixin unselectable {
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	user-select: none;
}

@mixin selectable {
	-webkit-user-select: text;
	-khtml-user-select: text;
	-moz-user-select: text;
	-o-user-select: text;
	user-select: text;
}


// Box Shadow
// usage:
// @include shadow(0, 0, 15px, 0, $black);

@mixin shadow($horisontal: 1px, $vertical: 1px, $blur: 5px, $spread: 0, $color: #333333) {
	-webkit-box-shadow: $horisontal $vertical $blur $spread $color;
	box-shadow: $horisontal $vertical $blur $spread $color;
}


// Box Shadow Inset
// usage:
// @include shadow_inset(0, 0, 15px, 0, $black);

@mixin shadow_inset($horisontal: 1px, $vertical: 1px, $blur: 5px, $spread: 0, $color: #333333) {
	-webkit-box-shadow: inset $horisontal $vertical $blur $spread $color;
	box-shadow: inset $horisontal $vertical $blur $spread $color;
}


// Box shadow
// usage:
// @include _shadow(inset 0 1px 5px 0 rgba(0, 0, 0, 0.5), 0 1px 5px 0 rgba(0, 0, 0, 0.5));

@mixin _shadow($shadow ...) {
	-webkit-box-shadow: $shadow;
	-moz-box-shadow: $shadow;
	-ms-box-shadow: $shadow;
	-o-box-shadow: $shadow;
}

// Border radius
// usage:
// @include border_radius(16px);

@mixin border_radius($size: 50%) {
	border-radius: $size;
	-moz-border-radius: $size;
	-webkit-border-radius: $size;
}


// Transitions
// usage:
// @include single-transition(background, 0.2s, linear, 0.1s);

@mixin single-transition($t-property: all, $t-duration: 0.3s, $t-timing: linear, $t-delay: 0s) {
	-webkit-transition: $t-property $t-duration $t-timing $t-delay;
	-moz-transition: $t-property $t-duration $t-timing $t-delay;
	-o-transition: $t-property $t-duration $t-timing $t-delay;
	transition: $t-property $t-duration $t-timing $t-delay;
}


// Color gradient
// usage:
// @include color_gradient(0, top, $darkBlue2, 0%, $lightBlue5, 100%);

@mixin color_gradient($type, $direction, $startColor, $startPercent, $endColor, $endPercent) {
	zoom: 1;
	background: $startColor;
	filter: progid:DXImageTransform.Microsoft.gradient(GradientType=#{$type} startColorstr=#{$startColor}, endColorstr=#{$endColor});
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=#{$type}, startColorstr=#{$startColor}, endColorstr=#{$endColor})";
	background-image: -ms-linear-gradient($direction, $startColor $startPercent, $endColor $endPercent);
	background-image: -o-linear-gradient($direction, $startColor $startPercent, $endColor $endPercent);
	background-image: -moz-linear-gradient($direction, $startColor $startPercent, $endColor $endPercent);
	background-image: -webkit-linear-gradient($direction, $startColor $startPercent, $endColor $endPercent);
	background-image: linear-gradient($direction, $startColor $startPercent, $endColor $endPercent);
}


// Font face
// usage:
// @each $fonts in xyz-light, xyz-regular, xyz-bold, xyz-black {
//  	@include font-face( $fonts, '../font/' );
// }
// help:
// $suffix: Font Squirrel > Advenced Options > Font Name Suffix, default value: -webfont

@mixin font-face( $name, $path, $filename: $name, $suffix: '-webfont' , $style: normal, $weight: normal) {
	@font-face {
		font-family: "#{$name}";
		font-style: $style;
		font-weight: $weight;
		src: url( "#{$path}#{$filename}#{$suffix}.eot" );
		src: url( "#{$path}#{$filename}#{$suffix}.eot?#iefix" ) format( "embedded-opentype" ),
			url( "#{$path}#{$filename}#{$suffix}.woff" ) format( "woff" ),
			url( "#{$path}#{$filename}#{$suffix}.ttf" ) format( "truetype" ), 
			url( "#{$path}#{$filename}#{$suffix}.svg##{$name}" ) format( "svg" );
	}
}

//----- ICON FONT -----

// Mixins

@mixin icon($icon) {
	@include icon-FontAwesome();
	content: $icon;
}

@mixin icon-FontAwesome() {
	font-family: FontAwesome;
	font-weight: normal;
	font-style: normal;
	text-decoration: inherit;
	-webkit-font-smoothing: antialiased;
	*margin-right: .3em; // fixes ie7 issues
}

// Font awesome

@font-face {
	font-family: 'FontAwesome';
	src: url("fonts/fontawesome-webfont.eot");
	src: url("fonts/fontawesome-webfont.eot?#iefix") format("embedded-opentype"),
		url("fonts/fontawesome-webfont.woff") format("woff"),
		url("fonts/fontawesome-webfont.ttf") format("truetype"),
		url("fonts/fontawesome-webfont.svg#fontawesomeregular") format("svg");
	font-weight: normal;
	font-style: normal;
}


// FONTS

// Comfortaa
//
// Usage:
// @include comforta(700, 12px);

@import url(http://fonts.googleapis.com/css?family=Comfortaa:400,700,300&subset=latin,latin-ext);

@mixin comforta($weight: 400, $size: 12px, $spacing: .85px) {
	font: {
		family: 'Comfortaa', cursive, Verdana, Geneva, sans-serif;
		weight: #{$weight};
		size: #{$size};
	}
	letter-spacing: #{$spacing};
}
